Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices
Class OWSUtils

    java.lang.Object
      org.deegree.ogcwebservices.OWSUtils

    public class OWSUtils

extends Object

Since:
  2.0
Version:
  $Revision: 26212 $, 1.0. $Revision: 26212 $, $Date: 2010-08-27 14:00:42 +0200 (Fr, 27. Aug 2010) $
Author:
  Andreas Poth, last edited by: $Author: apoth $

Constructor Summary
`OWSUtils()`

Method Summary
`static URL` | `getHTTPGetOperationURL(OGCCapabilities capabilities, Class clss)` the method return the first HTTPGet URL for a Operation within the pass capabilities document.
`static URL` | `getHTTPPostOperationURL(OGCCapabilities capabilities, Class clss)` the method return the first HTTPPost URL for a Operation within the pass capabilities document.
`static String` | `validateHTTPGetBaseURL(String href)` according to OGC WMS 1.3 Testsuite a URL to a service operation via HTTPGet must end with '?'

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OWSUtils

    public OWSUtils()

Method Detail

### validateHTTPGetBaseURL

    public static String validateHTTPGetBaseURL(String href)

  according to OGC WMS 1.3 Testsuite a URL to a service operation via HTTPGet must end with '?' or '&'

  Parameters:
    `href` -
  Returns:
    the parameter, changed to fulfill the spec

### getHTTPGetOperationURL

    public static URL getHTTPGetOperationURL(OGCCapabilities capabilities,
                                             Class clss)

  the method return the first HTTPGet URL for a Operation within the pass capabilities document. If No URL can be found (e.g. the service does not support the operation via HTTP Get) `null` will be returned

  Parameters:
    `capabilities` -
    `clss` -
  Returns:
    see above

### getHTTPPostOperationURL

    public static URL getHTTPPostOperationURL(OGCCapabilities capabilities,
                                              Class clss)

  the method return the first HTTPPost URL for a Operation within the pass capabilities document. If No URL can be found (e.g. the service does not support the operation via HTTP Get) `null` will be returned

  Parameters:
    `capabilities` -
    `clss` -
  Returns:
    the first HTTPPost URL for a Operation within the pass capabilities document. If No URL can be found (e.g. the service does not support the operation via HTTP Get) `null` will be returned

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org